> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaleidoswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trading Pairs

> Retrieve all available trading pairs and their limits



## OpenAPI

````yaml /openapi.json get /api/v1/market/pairs
openapi: 3.1.0
info:
  title: Kaleidoswap RGB-LSP API
  description: API for managing swaps and channels
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/market/pairs:
    get:
      tags:
        - market
      summary: Get Pairs
      operationId: get_pairs_api_v1_market_pairs_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PairResponse'
      x-codeSamples:
        - lang: javascript
          label: TypeScript SDK
          source: |-
            import { KaleidoClient } from 'kaleido-sdk';

            const client = new KaleidoClient({
              baseUrl: 'https://api.staging.kaleidoswap.com/api/v1'
            });

            const pairs = await client.listPairs();
            console.log(`Found ${pairs.pairs.length} trading pairs`);
        - lang: python
          label: Python SDK
          source: |-
            import asyncio
            from kaleido_sdk import KaleidoClient

            async def main():
                async with KaleidoClient(
                    api_url="https://api.staging.kaleidoswap.com/api/v1"
                ) as client:
                    pairs = await client.list_pairs()
                    print(f"Found {len(pairs.pairs)} trading pairs")

            asyncio.run(main())
components:
  schemas:
    PairResponse:
      properties:
        pairs:
          items:
            $ref: '#/components/schemas/Pair'
          type: array
          title: Pairs
      type: object
      required:
        - pairs
      title: PairResponse
    Pair:
      properties:
        id:
          type: string
          title: Id
        base_asset:
          type: string
          title: Base Asset
        base_asset_id:
          type: string
          title: Base Asset Id
        base_precision:
          type: integer
          title: Base Precision
        quote_asset:
          type: string
          title: Quote Asset
        quote_asset_id:
          type: string
          title: Quote Asset Id
        quote_precision:
          type: integer
          title: Quote Precision
        is_active:
          type: boolean
          title: Is Active
        min_base_order_size:
          type: integer
          title: Min Base Order Size
        max_base_order_size:
          type: integer
          title: Max Base Order Size
        min_quote_order_size:
          type: integer
          title: Min Quote Order Size
        max_quote_order_size:
          type: integer
          title: Max Quote Order Size
      type: object
      required:
        - base_asset
        - base_asset_id
        - base_precision
        - quote_asset
        - quote_asset_id
        - quote_precision
        - is_active
        - min_base_order_size
        - max_base_order_size
        - min_quote_order_size
        - max_quote_order_size
      title: Pair

````